Package ghidra.program.util

# Class UserDataChangeRecord

java.lang.Object
ghidra.framework.model.DomainObjectChangeRecord
ghidra.program.util.UserDataChangeRecord

All Implemented Interfaces:
  `Serializable`

public class UserDataChangeRecord extends DomainObjectChangeRecord

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserDataChangeRecord(String propertyName)`
  Constructor for change record for removing a range of properties.
  `UserDataChangeRecord(String propertyName, Object oldValue, Object newValue)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getNewValue()`
  Get the new value.
  `Object`
  `getOldValue()`
  Get the original value.
  `String`
  `getPropertyName()`
  Get the name of the property being changed.

  ### Methods inherited from class ghidra.framework.model.DomainObjectChangeRecord

  `getEventType, getSubEventType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserDataChangeRecord

    public UserDataChangeRecord(String propertyName, Object oldValue, Object newValue)
    Constructor
    Parameters:
      `propertyName` - name of the property
      `oldValue` - old value
      `newValue` - new value

  - ### UserDataChangeRecord

    public UserDataChangeRecord(String propertyName)
    Constructor for change record for removing a range of properties.
    Parameters:
      `propertyName` - name of the property

- ## Method Details

  - ### getPropertyName

    public String getPropertyName()
    Get the name of the property being changed.

  - ### getOldValue

    public Object getOldValue()
    Get the original value.
    Overrides:
      `getOldValue` in class `DomainObjectChangeRecord`

  - ### getNewValue

    public Object getNewValue()
    Get the new value.
    Overrides:
      `getNewValue` in class `DomainObjectChangeRecord`